# DataExchange
TKSTEP
StepAP203

# StepAP203_HArray1OfChangeRequestItem Class Reference

`#include <StepAP203_HArray1OfChangeRequestItem.hxx>`

## Public Member Functions

Standard_EXPORT | StepAP203_HArray1OfChangeRequestItem (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepAP203_HArray1OfChangeRequestItem (const Standard_Integer Low, const Standard_Integer Up, const StepAP203_ChangeRequestItem &V)
Standard_EXPORT void | Init (const StepAP203_ChangeRequestItem &V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const StepAP203_ChangeRequestItem &Value)
const StepAP203_ChangeRequestItem & | Value (const Standard_Integer Index) const
StepAP203_ChangeRequestItem & | ChangeValue (const Standard_Integer Index)
const StepAP203_Array1OfChangeRequestItem & | Array1 () const
StepAP203_Array1OfChangeRequestItem & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

StepAP203_Array1OfChangeRequestItem | myArray

## Constructor & Destructor Documentation

Standard_EXPORT StepAP203_HArray1OfChangeRequestItem::StepAP203_HArray1OfChangeRequestItem | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepAP203_HArray1OfChangeRequestItem::StepAP203_HArray1OfChangeRequestItem | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const StepAP203_ChangeRequestItem & | V
| ) |

## Member Function Documentation

const StepAP203_Array1OfChangeRequestItem& StepAP203_HArray1OfChangeRequestItem::Array1 | ( |  | ) | const

StepAP203_Array1OfChangeRequestItem& StepAP203_HArray1OfChangeRequestItem::ChangeArray1 | ( |  | ) |

StepAP203_ChangeRequestItem& StepAP203_HArray1OfChangeRequestItem::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const StepAP203_HArray1OfChangeRequestItem::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepAP203_HArray1OfChangeRequestItem::Init | ( | const StepAP203_ChangeRequestItem & | V | ) |

Standard_Integer StepAP203_HArray1OfChangeRequestItem::Length | ( |  | ) | const

Standard_Integer StepAP203_HArray1OfChangeRequestItem::Lower | ( |  | ) | const

void StepAP203_HArray1OfChangeRequestItem::SetValue | ( | const Standard_Integer | Index,
|  | const StepAP203_ChangeRequestItem & | Value
| ) |

Standard_Integer StepAP203_HArray1OfChangeRequestItem::Upper | ( |  | ) | const

const StepAP203_ChangeRequestItem& StepAP203_HArray1OfChangeRequestItem::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

StepAP203_Array1OfChangeRequestItem StepAP203_HArray1OfChangeRequestItem::myArray `[private]`

The documentation for this class was generated from the following file:

- StepAP203_HArray1OfChangeRequestItem.hxx